/*:
 [Previous](@previous)

 ## Using ConicGradientView - a simple wrapper around a CAGradientLayer and masking it with the CircleView

 &copy; Copyright 2018 - Dave Lyon and Traboule Software

 */

import PlaygroundSupport
import UIKit

class CircleGradientViewController : UIViewController {

    override func loadView() {
        let view = ConicGradientView()

        view.colors = [ .orange, .purple, .blue, .red, .orange]

        let circleView = CircleView(frame: view.layoutMarginsGuide.layoutFrame)
        view.mask = circleView

        self.view = view

        navigationItem.title = "Masked Conic Gradient"

    }

    override func viewWillLayoutSubviews() {
        super.viewWillLayoutSubviews()
        view.mask?.bounds = view.layoutMarginsGuide.layoutFrame
    }
}

// Present the view controller in the Live View window
let navController = UINavigationController(rootViewController: CircleGradientViewController())

PlaygroundPage.current.liveView = navController

navController.view.window?.backgroundColor = UIColor(white: 0.47, alpha: 1)


//: [Next](@next)
